
require "extensions.rb"
require "sketchup.rb"


module CAUL_FAQS

AUTHOR      = "Anders Lyhagen"
CONTACT     = "#{AUTHOR}"
COPYRIGHT   = "#{AUTHOR} #{Time.now.year}"
DESCRIPTION = "Flows geometry along a quad surface"
ID          = "CAUL_Flowify"
NAME        = "Flowify"
VERSION     = "1.1.0"


PLUGIN_ROOT = File.expand_path(File.dirname(__FILE__))
PLUGIN_DIR = File.join(PLUGIN_ROOT, ID)

ex = SketchupExtension.new(NAME, File.join(PLUGIN_DIR, "Main.rb"))
ex.description = DESCRIPTION
ex.version = VERSION
ex.copyright = COPYRIGHT
ex.creator = AUTHOR
Sketchup.register_extension ex, true

end